TO-LZMA(1)

NAME
to-lzma - convert .Z, .lzo, .zip, .rar, .gz, .bz2, and .bz3 files to lzma format (DEPRECATED)

SYNOPSIS
to-lzma [-h(elp)] [-(IPv)4] [-(IPv)6] [-d(elete_original)] [-k(eep_smallest)] [-m(ax_compress)] [-n(o_overwrite)] [-p num_cores] [-t(imestamp_retain)] file/URL...

DESCRIPTION
to-lzma recompresses files compressed with the compress, lzop, zip, gzip, bzip2, bzip3, and/or zstd utilities into lzma format. The newly compressed files will usually have a .lzma or a .tlz extension. If a specified file is actually a URL, it will be downloaded using wget and then recompressed.

OPTIONS

-h  Print help and quit.

-4  Prefer IPv4 when downloading a URL.

-6  Prefer IPv6 when downloading a URL.

-d  After each file is compressed, delete the original.

-k  Once a file is successfully recompressed, delete the larger of the original file or the new one. This option maximizes disk space savings and is incompatible with the -d option.

-m  Compress more, but at the expense of increased CPU time and memory usage.

-n  Do not overwrite the target .lzma or .tlz file if it already exists.

-p num_cores
    Use the multi-threaded -T option of lzma to utilize multiple cores during compression. Note that the output file, while being fully compatible with unthreaded lzma, will generally be slightly larger. Specifying a num_cores value of zero will utilize all available cores. This option has no effect if the alternate lzma_alone compression engine is used.

-t  Make the timestamp of new files match those of the old files.

NOTES
Note that the .lzma file format is a raw LZMA compressed data stream. It has been deprecated in favor of the .lz and .xz files produced by lzip and xz, respectively. These newer file formats feature identifying magic bytes and CRC-based integrity checks, and using one of them instead of .lzma is strongly recommended. The author prefers lzip, as it compresses slightly better and has a simpler and arguably superior file format.

SEE ALSO
lzma(1), lzma_alone(1), compress(1), zip(1), gzip(1), lzop(1), bzip2(1), bzip3(1), zstd(1), rar2tarcat(1), zip2tarcat(1), lzip(1), xz(1), wget(1)

COPYRIGHT
Copyright (C) 2006-2026 by Brian Lindholm. This program is free software; you can use it, redistribute it, and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3, or (at your option) any later version. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.